# Streams and topics

In Zulip, streams determine who gets a message. Topics tell you what the
message is about.

| Conversation model | Who gets it | What it's about
|---|---|---
| Zulip | Stream | Topic
| Email | Mailing list | Subject line
| Slack/IRC | Channel/Room | -

Messages with the same stream and topic are shown together as a
conversational thread. Here is what it looks like in Zulip.

![Streams and topics](/static/images/help/streams-and-topics.png)

Streams and topics are one of the most rewarding parts of using Zulip.

If you ever find yourself stuck on writing a topic, just pretend you're
sending an email, with the topic as the subject line. After a few days
you'll get used to a more Zulip-y way of doing things, and your topics will
naturally become shorter (2-3 words is optimum) and take less thought to type.

## Why topics?

Learning how to chat with topics has a bit of a learning curve, anywhere
from a few minutes to a few days. Why bother with something so
complicated?

The short answer is that most users spend many hours a day on chat. A little
investment up front pays huge dividends in access to a more powerful
communication paradigm.
A longer answer is [here](https://zulip.com/why-zulip).

## Replying to a topic

When replying to a message, the stream and topic are conveniently
pre-filled. Click on a message to reply, or type `r` to reply to the message
under the blue box.

## Tips for administrators

Topics are lightweight and do not need to be managed. Anyone writing to a
stream can and should [start topics](/help/start-a-new-topic) for new
conversations. "Old" topics naturally lose visibility over time, and do not
need to be deleted.

## Further reading

* [Creating streams for your organization](/help/getting-your-organization-started-with-zulip#create-streams)

* [Stream permissions](/help/stream-permissions)

* Browse the articles under **Streams & topics** and
  **Stream management** on the left sidebar.
